( function( window, document ) {

  function holiday_travel_cruise_keepFocusInSidebar() {
    document.addEventListener( 'keydown', function( e ) {
      const holiday_travel_cruise_nav = document.querySelector( '.header-widgets' );

      if ( ! holiday_travel_cruise_nav || ! holiday_travel_cruise_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...holiday_travel_cruise_nav.querySelectorAll( 'input, a, button' )],
        holiday_travel_cruise_lastEl = elements[ elements.length - 1 ],
        holiday_travel_cruise_firstEl = elements[0],
        holiday_travel_cruise_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && holiday_travel_cruise_lastEl === holiday_travel_cruise_activeEl ) {
        e.preventDefault();
        holiday_travel_cruise_firstEl.focus();
      }

      if ( shiftKey && tabKey && holiday_travel_cruise_firstEl === holiday_travel_cruise_activeEl ) {
        e.preventDefault();
        holiday_travel_cruise_lastEl.focus();
      }
    } );
  }

  holiday_travel_cruise_keepFocusInSidebar();
} )( window, document );

var holiday_travel_cruise_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    holiday_travel_cruise_btn.addClass('show');
  } else {
    holiday_travel_cruise_btn.removeClass('show');
  }
});

holiday_travel_cruise_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
});

jQuery("#top-banner h2").html(function(){
  var words = jQuery(this).text().trim().split(" ");

    words[1] = `<span>${words[1]}</span>`;
    words[2] = `<span>${words[2]}</span>`;

  return words.join(" ");
});

jQuery('.header-search-wrapper .search-main').click(function(){
  jQuery('.search-form-main').toggleClass('active-search');
  jQuery('.search-form-main .search-field').focus();
});

function holiday_travel_cruise_openSidebar() {
 jQuery(".header-widgets").addClass('show');
}

function holiday_travel_cruise_closeSidebar() {
  jQuery(".header-widgets").removeClass('show');
}

jQuery(document).ready(function ($) {
// Menu Js
    $('.submenu-toggle').click(function () {
        $(this).toggleClass('button-toggle-active');
        var currentClass = $(this).attr('data-toggle-target');
        $(currentClass).toggleClass('submenu-toggle-active');
    });
    $('.skip-link-menu-start').focus(function () {
        if (!$("#offcanvas-menu #primary-nav-offcanvas").length == 0) {
            $("#offcanvas-menu #primary-nav-offcanvas ul li:last-child a").focus();
        }
    });
    // Menu Toggle Js
    $('.navbar-control-offcanvas').click(function () {
        $(this).addClass('active');
        $('body').addClass('body-scroll-locked');
        $('#offcanvas-menu').toggleClass('offcanvas-menu-active');
        $('.button-offcanvas-close').focus();
    });
    $('.offcanvas-close .button-offcanvas-close').click(function () {
        $('#offcanvas-menu').removeClass('offcanvas-menu-active');
        $('.navbar-control-offcanvas').removeClass('active');
        $('body').removeClass('body-scroll-locked');
        setTimeout(function () {
            $('.navbar-control-offcanvas').focus();
        }, 300);
    });
    $('#offcanvas-menu').click(function () {
        $('#offcanvas-menu').removeClass('offcanvas-menu-active');
        $('.navbar-control-offcanvas').removeClass('active');
        $('body').removeClass('body-scroll-locked');
    });
    $(".offcanvas-wraper").click(function (e) {
        e.stopPropagation(); //stops click event from reaching document
    });
    $('.skip-link-menu-end').on('focus', function () {
        $('.button-offcanvas-close').focus();
    });
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});